#include "random_getter.hpp"

RandomCharacterGetter::RandomCharacterGetter()
: generator_(randomDevice_())
, distribution_(0, ALPHANUM.size() - 1)
{
}

char RandomCharacterGetter::operator ()() 
{
    return ALPHANUM[_getIndex()];
}

size_t RandomCharacterGetter::_getIndex()
{
    return distribution_(generator_);
}

const std::string RandomCharacterGetter::ALPHANUM = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
