#ifndef SLOW_COPY_HPP
#define SLOW_COPY_HPP

#include "putter.hpp"
#include "getter.hpp"

class SlowCopy
{
public:
    SlowCopy(PutterPtr, GetterPtr);

    void operator()();

private: 
    void _wait();

    PutterPtr dst_;
    GetterPtr src_;
};

#endif // SLOW_COPY_HPP
